- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Friends

# FbxCameraStereo Class Reference

This reference page is linked to from the following overview topics: FBX Node Attributes, Cameras, List of Python Fbx classes.

Search for all occurrences

## Detailed Description

This node attribute contains methods for accessing the properties of a stereo camera.

Generally, a set of stereoRig contains the center camera, the left camera and the right camera. FbxCameraStereo is used to represent the center camera. The left and right camera could be FbxCamera. FbxCameraStereo contains stereo properties. The left and right camera can also be get and set via related methods in FbxCameraStereo class.

See also:
  FbxCamera and FbxCameraSwitcher.

Examples:

  StereoCamera/main.cxx.

Definition at line 30 of file fbxcamerastereo.h.

`#include <fbxcamerastereo.h>`

Inheritance diagram for FbxCameraStereo:
[legend]

List of all members.

## Public Types
enum | EStereoType { eNone, eConverged, eOffAxis, eParallel }
| Types of Stereo camera. More...
## Public Member Functions
virtual FbxNodeAttribute::EType | GetAttributeType () const
| Return the type of node attribute which is EType::eCameraStereo.
void | Reset ()
| Reset the stereo camera to default values.
FbxCamera * | GetLeftCamera () const
| Get the left camera which connect to property LeftCamera.
FbxCamera * | GetRightCamera () const
| Get the right camera which connect to property RightCamera.
bool | SetLeftCamera (FbxCamera *pCamera)
| Set the left camera, connect property LeftCamera to pCamera.
bool | SetRightCamera (FbxCamera *pCamera)
| Set the right camera, connect property RightCamera to pCamera.
FbxAMatrix | GetLeftCameraLocalMatrix () const
| Get the local transformation matrix of left camera.
FbxAMatrix | GetLeftCameraGlobalMatrix () const
| Get the global matrix of left camera.
FbxAMatrix | GetRightCameraLocalMatrix () const
| Get the local transformation matrix of right camera.
FbxAMatrix | GetRightCameraGlobalMatrix () const
| Get the global transformation matrix of right camera.
double | ReevaluateLeftCameraFilmOffsetX () const
| Reevaluate the FilmOffsetX of left camera.
double | ReevaluateRightCameraFilmOffsetX () const
| Reevaluate the FilmOffsetX of right camera.
bool | ConnectProperties ()
| connect left and right camera property to stereo camera.
## Public Attributes
FbxPropertyT< EStereoType > | Stereo
| This property handles the types of Stereo camera.
FbxPropertyT< FbxDouble > | InteraxialSeparation
| This property handles the distance between left and right cameras.
FbxPropertyT< FbxDouble > | ZeroParallax
| This property handles the distance on the camera view axis where the zero parallax plane occurs.
FbxPropertyT< FbxDouble > | ToeInAdjust
| This property is to offset the computed toe-in effect when it's in Converged mode.
FbxPropertyT< FbxDouble > | FilmOffsetRightCam
| This property handles the film offset for the right camera.
FbxPropertyT< FbxDouble > | FilmOffsetLeftCam
| This property handles the film offset for the left camera.
FbxPropertyT< FbxReference > | RightCamera
| This property has the right camera connected to it.
FbxPropertyT< FbxReference > | LeftCamera
| This property has the left camera connected to it.
FbxPropertyT< FbxString > | PrecompFileName
| This property handles the precomp file name.
FbxPropertyT< FbxString > | RelativePrecompFileName
| This property handles the relative precomp file name.
## Protected Member Functions
| FbxCameraStereo (FbxManager &pManager, char const *pName)
virtual bool | ConstructProperties (bool pForceSet)
virtual FbxStringList | GetTypeFlags () const
| Used to retrieve the KProperty list from an attribute.
## Friends
class | FbxGlobalCameraSettings
class | FbxNode

## Member Enumeration Documentation

enum EStereoType

Search for all occurrences

Types of Stereo camera.

Enumerator:

  eNone | Disable the stereo effect. (Default value) Search for all occurrences
  eConverged | Computes the zero parallax plane by toeing in the cameras. Search for all occurrences
  eOffAxis | Computes the convergence plane by shifting the frustum using camera film back. Search for all occurrences
  eParallel | A parallel camera setup where there is effectively no convergence plane. Search for all occurrences

Definition at line 43 of file fbxcamerastereo.h.

        {
            eNone,
            eConverged,
            eOffAxis,
            eParallel
        };

## Constructor & Destructor Documentation

FbxCameraStereo | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

virtual FbxNodeAttribute::EType GetAttributeType | ( |  | ) | const `[virtual]`

Search for all occurrences

Return the type of node attribute which is EType::eCameraStereo.

Reimplemented from FbxCamera.

void Reset | ( |  | ) |

Search for all occurrences

Reset the stereo camera to default values.

Reimplemented from FbxCamera.

FbxCamera* GetLeftCamera | ( |  | ) | const

Search for all occurrences

Get the left camera which connect to property LeftCamera.

Returns:
  A pointer to FbxCamera.

Remarks:
  Current FbxCameraStereo should work with two FbxCamera, left camera and right camera. Use this method to get the left camera.

Examples:
  StereoCamera/main.cxx.

FbxCamera* GetRightCamera | ( |  | ) | const

Search for all occurrences

Get the right camera which connect to property RightCamera.

Returns:
  A pointer to FbxCamera.

Remarks:
  Current FbxCameraStereo should work with two FbxCamera, left camera and right camera. Use this method to get the right camera.

Examples:
  StereoCamera/main.cxx.

bool SetLeftCamera | ( | FbxCamera * | pCamera | ) |

Search for all occurrences

Set the left camera, connect property LeftCamera to pCamera.

Parameters:

  pCamera | The camera to set.

Returns:
  `true` if it's successful, `false` otherwise.

Remarks:
  Current FbxCameraStereo should work with two FbxCamera, left camera and right camera. Use this method to set the left camera.

Examples:
  StereoCamera/main.cxx.

bool SetRightCamera | ( | FbxCamera * | pCamera | ) |

Search for all occurrences

Set the right camera, connect property RightCamera to pCamera.

Parameters:

  pCamera | The camera to set.

Returns:
  `true` if it's successful, `false` otherwise.

Remarks:
  Current FbxCameraStereo should work with two FbxCamera, left camera and right camera. Use this method to set the right camera.

Examples:
  StereoCamera/main.cxx.

FbxAMatrix GetLeftCameraLocalMatrix | ( |  | ) | const

Search for all occurrences

Get the local transformation matrix of left camera.

Returns:
  The local transformation matrix of left camera.

Remarks:
  Use this method to reevaluate the local transformation of left camera.

Examples:
  StereoCamera/main.cxx.

FbxAMatrix GetLeftCameraGlobalMatrix | ( |  | ) | const

Search for all occurrences

Get the global matrix of left camera.

Returns:
  The global transformation matrix of left camera.

Remarks:
  Use this method to reevaluate the global transformation of left camera.

Examples:
  StereoCamera/main.cxx.

FbxAMatrix GetRightCameraLocalMatrix | ( |  | ) | const

Search for all occurrences

Get the local transformation matrix of right camera.

Returns:
  The local transformation matrix of right camera..

Remarks:
  Use this method to reevaluate the local transformation of right camera.

Examples:
  StereoCamera/main.cxx.

FbxAMatrix GetRightCameraGlobalMatrix | ( |  | ) | const

Search for all occurrences

Get the global transformation matrix of right camera.

Returns:
  The global transformation matrix of right camera.

Remarks:
  Use this method to reevaluate the global transformation of right camera.

Examples:
  StereoCamera/main.cxx.

double ReevaluateLeftCameraFilmOffsetX | ( |  | ) | const

Search for all occurrences

Reevaluate the FilmOffsetX of left camera.

It's computed through stereo camera properties.

Returns:
  Current FilmOffsetX value.

Remarks:
  This method does not set the FilmOffsetX of left camera.

Examples:
  StereoCamera/main.cxx.

double ReevaluateRightCameraFilmOffsetX | ( |  | ) | const

Search for all occurrences

Reevaluate the FilmOffsetX of right camera.

It's computed through stereo camera properties.

Returns:
  Current FilmOffsetX value.

Remarks:
  this method does not set the FilmOffsetX of right camera

Examples:
  StereoCamera/main.cxx.

bool ConnectProperties | ( |  | ) |

Search for all occurrences

connect left and right camera property to stereo camera.

Returns:
  true if it's successful, otherwise return false.

Remarks:
  It's used to connect the left/right camera property [FocalLength, FarPlane, NearPlane, FilmWidth, FilmHeight, FilmSqueezeRatio] to stereo camera. During FBX SDK reevaluating, if ConnectProperties is called, to get the newest FocalLength property of left camera, please use lLeft_Camera->FocalLength.GetSrcProperty();

Examples:
  StereoCamera/main.cxx.

virtual bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxCamera.

virtual FbxStringList GetTypeFlags | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Used to retrieve the KProperty list from an attribute.

Reimplemented from FbxCamera.

## Friends And Related Function Documentation

friend class FbxGlobalCameraSettings `[friend]`

Search for all occurrences

Reimplemented from FbxCamera.

Definition at line 232 of file fbxcamerastereo.h.

friend class FbxNode `[friend]`

Search for all occurrences

Reimplemented from FbxCamera.

Definition at line 256 of file fbxcamerastereo.h.

## Member Data Documentation

FbxPropertyT<EStereoType> Stereo

Search for all occurrences

This property handles the types of Stereo camera.

To access this property do: Stereo.Get(). To set this property do: Stereo.Set(EStereoType).

Remarks:
  Default Value is eNone.

Definition at line 136 of file fbxcamerastereo.h.

FbxPropertyT<FbxDouble> InteraxialSeparation

Search for all occurrences

This property handles the distance between left and right cameras.

To access this property do: InteraxialSeparation.Get(). To set this property do: InteraxialSeparation.Set(FbxDouble).

Remarks:
  Default Value is 0.0.

Definition at line 145 of file fbxcamerastereo.h.

FbxPropertyT<FbxDouble> ZeroParallax

Search for all occurrences

This property handles the distance on the camera view axis where the zero parallax plane occurs.

To access this property do: ZeroParallax.Get(). To set this property do: ZeroParallax.Set(FbxDouble).

Remarks:
  Default Value is 0.0.

Definition at line 154 of file fbxcamerastereo.h.

FbxPropertyT<FbxDouble> ToeInAdjust

Search for all occurrences

This property is to offset the computed toe-in effect when it's in Converged mode.

To access this property do: ToeInAdjust.Get(). To set this property do: ToeInAdjust.Set(FbxDouble).

Remarks:
  Default Value is 0.0. This value is specified in degrees and acts as an offset to the computed toe-in.

See also:
  EStereoType.

Definition at line 165 of file fbxcamerastereo.h.

FbxPropertyT<FbxDouble> FilmOffsetRightCam

Search for all occurrences

This property handles the film offset for the right camera.

To access this property do: FilmOffsetRightCam.Get(). To set this property do: FilmOffsetRightCam.Set(FbxDouble).

Remarks:
  Default Value is 0.0.

Definition at line 174 of file fbxcamerastereo.h.

FbxPropertyT<FbxDouble> FilmOffsetLeftCam

Search for all occurrences

This property handles the film offset for the left camera.

To access this property do: FilmOffsetLeftCam.Get(). To set this property do: FilmOffsetLeftCam.Set(FbxDouble).

Remarks:
  Default Value is 0.0.

Definition at line 183 of file fbxcamerastereo.h.

FbxPropertyT<FbxReference> RightCamera

Search for all occurrences

This property has the right camera connected to it.

To access this property do: GetRightCamera(). To set this property do: SetRightCamera(FbxCamera* pCamera).

Remarks:
  The right camera is connected as source object.

Definition at line 192 of file fbxcamerastereo.h.

FbxPropertyT<FbxReference> LeftCamera

Search for all occurrences

This property has the left camera connected to it.

To access this property do: GetLeftCamera(). To set this property do: SetLeftCamera(FbxCamera* pCamera).

Remarks:
  The left camera is connected as source object.

Definition at line 201 of file fbxcamerastereo.h.

FbxPropertyT<FbxString> PrecompFileName

Search for all occurrences

This property handles the precomp file name.

To access this property do: PrecompFileName.Get(). To set this property do: PrecompFileName.Set(FbxString).

Default value is ""

Definition at line 221 of file fbxcamerastereo.h.

FbxPropertyT<FbxString> RelativePrecompFileName

Search for all occurrences

This property handles the relative precomp file name.

To access this property do: RelativePrecompFileName.Get(). To set this property do: RelativePrecompFileName.Set(FbxString).

Default value is ""

Definition at line 230 of file fbxcamerastereo.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/geometry/fbxcamerastereo.h

FbxCameraStereo FbxCameraStereo FbxCameraStereo FbxCameraStereo FbxCameraStereo FbxCameraStereo FbxCameraStereo FbxCameraStereo FbxCameraStereo FbxCameraStereo
FbxCameraStereo FbxCameraStereo FbxCameraStereo FbxCameraStereo FbxCameraStereo FbxCameraStereo FbxCameraStereo FbxCameraStereo FbxCameraStereo FbxCameraStereo